Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.cbe.impl
Class AssociatedEventImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.hyades.logging.events.cbe.impl.SerializableImpl
                      org.eclipse.hyades.logging.events.cbe.impl.AssociatedEventImpl

All Implemented Interfaces:
  AssociatedEvent, java.lang.Cloneable, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.common.notify.Notifier, java.io.Serializable

public class AssociatedEventImpl
extends SerializableImpl
implements AssociatedEvent, java.lang.Cloneable

An implementation of the model object 'Associated Event'.

Since:
  1.0
Version:
  1.0.1
Author:
  Denilson Nastacio
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes inherited from class org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected static java.lang.String` | `ASSOCIATION_ENGINE_EDEFAULT` The default value of the '`Association Engine`' attribute.
`protected java.lang.String` | `associationEngine` The cached value of the '`Association Engine`' attribute.
`protected AssociationEngine` | `associationEngineInfo` The cached value of the '`Association Engine Info`' containment reference.
`protected static java.lang.String` | `RESOLVED_EVENTS_EDEFAULT` The default value of the '`Resolved Events`' attribute.
`protected java.lang.String` | `resolvedEvents` The cached value of the '`Resolved Events`' attribute.

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` | `AssociatedEventImpl()`

Method Summary
`void` | `addResolvedEvent(java.lang.String globalInstanceId)` Adds a Common Base Event reference to the array of resolved events.
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetAssociationEngineInfo(AssociationEngine newAssociationEngineInfo, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void` | `clearResolvedEvents()` Removes all Common Base Event references in the array of resolved events.
`java.lang.Object` | `clone()` return a cloned (copy by value) object.
`java.lang.Object` | `eGet(org.eclipse.emf.ecore.EStructuralFeature eFeature, boolean resolve)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, java.lang.Class baseClass, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`boolean` | `equals(java.lang.Object arg0)`
`void` | `eSet(org.eclipse.emf.ecore.EStructuralFeature eFeature, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` | `eStaticClass()`
`void` | `eUnset(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`java.lang.String` | `getAssociationEngine()`
`AssociationEngine` | `getAssociationEngineInfo()`
`java.lang.String` | `getResolvedEvents()`
`java.lang.String[]` | `getResolvedEventsAsArray()` Returns the value of the 'Resolved Events' attribute.
`void` | `init()` Resets the object's properties to their initial (e.g.
`void` | `removeResolvedEvent(java.lang.String globalInstanceId)` Removes a named Common Base Event reference in the array of resolved events.
`void` | `setAssociationEngine(java.lang.String newAssociationEngine)`
`void` | `setAssociationEngineInfo(AssociationEngine newAssociationEngineInfo)`
`void` | `setAssociationEngineInfo(java.lang.String associationEngineName, java.lang.String associationEngineType, java.lang.String associationEngineId)` Helper method for creating and setting the association engine information for this object.
`void` | `setResolvedEvents(java.lang.String newResolvedEvents)`
`void` | `setResolvedEventsAsArray(java.lang.String[] newResolvedEvents)` This routine will take a string array and build a blank delimited list from each element of the list.
`java.lang.String` | `toString()`
`void` | `validate()` Checks whether the contents of this object conforms to the CBE specification.

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicSet, eDynamicUnset, eGet, eHasSettings, eInternalResource, eInverseAdd, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eStaticFeatureCount, eStore, eURIFragmentSegment`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eIsProxy, eResource`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### ASSOCIATION_ENGINE_EDEFAULT

    protected static final java.lang.String ASSOCIATION_ENGINE_EDEFAULT

  The default value of the '`Association Engine`' attribute.

  See Also:
    `getAssociationEngine()`

### associationEngine

    protected java.lang.String associationEngine

  The cached value of the '`Association Engine`' attribute.

  See Also:
    `getAssociationEngine()`

### RESOLVED_EVENTS_EDEFAULT

    protected static final java.lang.String RESOLVED_EVENTS_EDEFAULT

  The default value of the '`Resolved Events`' attribute.

  See Also:
    `getResolvedEvents()`

### resolvedEvents

    protected java.lang.String resolvedEvents

  The cached value of the '`Resolved Events`' attribute.

  See Also:
    `getResolvedEvents()`

### associationEngineInfo

    protected AssociationEngine associationEngineInfo

  The cached value of the '`Association Engine Info`' containment reference.

  See Also:
    `getAssociationEngineInfo()`

Constructor Detail

### AssociatedEventImpl

    protected AssociatedEventImpl()

Method Detail

### setAssociationEngine

    public void setAssociationEngine(java.lang.String newAssociationEngine)

  Specified by:
    `setAssociationEngine` in interface `AssociatedEvent`
  Parameters:
    `newAssociationEngine` - the new value of the 'Association Engine' attribute.
  See Also:
    `AssociatedEvent.getAssociationEngine()`

### getAssociationEngine

    public java.lang.String getAssociationEngine()

  Specified by:
    `getAssociationEngine` in interface `AssociatedEvent`
  Returns:
    the value of the 'Association Engine' attribute.
  See Also:
    `AssociatedEvent.setAssociationEngine(String)`, `EventPackage.getAssociatedEvent_AssociationEngine()`

### setAssociationEngineInfo

    public void setAssociationEngineInfo(AssociationEngine newAssociationEngineInfo)

  Specified by:
    `setAssociationEngineInfo` in interface `AssociatedEvent`
  Parameters:
    `newAssociationEngineInfo` - the new value of the 'Association Engine Info' containment reference.
  See Also:
    `AssociatedEvent.getAssociationEngineInfo()`

### setAssociationEngineInfo

    public void setAssociationEngineInfo(java.lang.String associationEngineName,
                                         java.lang.String associationEngineType,
                                         java.lang.String associationEngineId)

  Description copied from interface: `AssociatedEvent`

  Helper method for creating and setting the association engine information for this object.

  It creates an `AssociationEngine` object and sets it in the respective field of this object.

  Specified by:
    `setAssociationEngineInfo` in interface `AssociatedEvent`
  Parameters:
    `associationEngineName` - name for the association engine.
    `associationEngineType` - type for the association engine.
    `associationEngineId` - identifier for the association engine.
  See Also:
    `AssociatedEvent.setAssociationEngineInfo(String, String, String)`

### getAssociationEngineInfo

    public AssociationEngine getAssociationEngineInfo()

  Specified by:
    `getAssociationEngineInfo` in interface `AssociatedEvent`
  Returns:
    the value of the 'Association Engine Info' containment reference.
  See Also:
    `AssociatedEvent.setAssociationEngineInfo(AssociationEngine)`, `EventPackage.getAssociatedEvent_AssociationEngineInfo()`

### setResolvedEvents

    public void setResolvedEvents(java.lang.String newResolvedEvents)

  Specified by:
    `setResolvedEvents` in interface `AssociatedEvent`
  Parameters:
    `newResolvedEvents` - the new value of the 'Resolved Events' attribute.
  See Also:
    `AssociatedEvent.getResolvedEvents()`, `AssociatedEvent.validate()`

### getResolvedEvents

    public java.lang.String getResolvedEvents()

  Specified by:
    `getResolvedEvents` in interface `AssociatedEvent`
  Returns:
    the value of the 'Resolved Events' attribute.
  See Also:
    `AssociatedEvent.setResolvedEvents(String)`, `EventPackage.getAssociatedEvent_ResolvedEvents()`

### setResolvedEventsAsArray

    public void setResolvedEventsAsArray(java.lang.String[] newResolvedEvents)

  This routine will take a string array and build a blank delimited list from each element of the list. Blanks in the array elements would cause problems in parsing the list. Therefore, an IllegalArgumentException will be thrown if any array element contains blanks.

  Specified by:
    `setResolvedEventsAsArray` in interface `AssociatedEvent`
  Parameters:
    `newResolvedEvents` - the new value of the 'Resolved Events' attribute.
  See Also:
    `AssociatedEvent.setResolvedEvents(String)`, `AssociatedEvent.getResolvedEvents()`, `AssociatedEvent.getResolvedEventsAsArray()`, `AssociatedEvent.validate()`

### getResolvedEventsAsArray

    public java.lang.String[] getResolvedEventsAsArray()

  Description copied from interface: `AssociatedEvent`

  Returns the value of the 'Resolved Events' attribute.

  The returned string follows the IDREFS type as stated in the CBE and defined in the XML Schema specification. In this case it will be an array of IDREF strings. If there are no resolved events then an empty array will be returned.

  Specified by:
    `getResolvedEventsAsArray` in interface `AssociatedEvent`
  Returns:
    the value of the 'Resolved Events' attribute.
  See Also:
    `AssociatedEvent.setResolvedEvents(String)`, `AssociatedEvent.setResolvedEventsAsArray(String[])`, `AssociatedEvent.getResolvedEvents()`, `EventPackage.getAssociatedEvent_ResolvedEvents()`

### addResolvedEvent

    public void addResolvedEvent(java.lang.String globalInstanceId)

  Adds a Common Base Event reference to the array of resolved events. Array of Common Base Event globalInstanceIds corresponding to the event(s) that are associated with this event. This is a REQUIRED property.

  Specified by:
    `addResolvedEvent` in interface `AssociatedEvent`
  Parameters:
    `globalInstanceId` - The new Common Base Event globalInstanceId.
  Since:
    1.0
  See Also:
    `CommonBaseEvent`

### clearResolvedEvents

    public void clearResolvedEvents()

  Removes all Common Base Event references in the array of resolved events. Array of Common Base Event globalInstanceIds corresponding to the event(s) that are associated with this event. This is a REQUIRED property.

  Specified by:
    `clearResolvedEvents` in interface `AssociatedEvent`
  Since:
    1.0
  See Also:
    `CommonBaseEvent`

### removeResolvedEvent

    public void removeResolvedEvent(java.lang.String globalInstanceId)

  Removes a named Common Base Event reference in the array of resolved events. Array of Common Base Event globalInstanceIds corresponding to the event(s) that are associated with this event. This is a REQUIRED property.

  Specified by:
    `removeResolvedEvent` in interface `AssociatedEvent`
  Parameters:
    `globalInstanceId` - The removed Common Base Event globalInstanceId.
  Since:
    1.0
  See Also:
    `CommonBaseEvent`

### basicSetAssociationEngineInfo

    public org.eclipse.emf.common.notify.NotificationChain basicSetAssociationEngineInfo(AssociationEngine newAssociationEngineInfo,
                                                                                         org.eclipse.emf.common.notify.NotificationChain msgs)

### eGet

    public java.lang.Object eGet(org.eclipse.emf.ecore.EStructuralFeature eFeature,
                                 boolean resolve)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.EObject`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          java.lang.Class baseClass,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Specified by:
    `eInverseRemove` in interface `org.eclipse.emf.ecore.InternalEObject`

### eIsSet

    public boolean eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.EObject`

### eSet

    public void eSet(org.eclipse.emf.ecore.EStructuralFeature eFeature,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.EObject`

### eUnset

    public void eUnset(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.EObject`

### equals

    public boolean equals(java.lang.Object arg0)

  See Also:
    `Object.equals(java.lang.Object)`

### toString

    public java.lang.String toString()

### validate

    public void validate()
                  throws ValidationException

  Checks whether the contents of this object conforms to the CBE specification.

  Specified by:
    `validate` in interface `AssociatedEvent`
  Throws:
    `ValidationException` - if the object does not follow the CBE specification.

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `SerializableImpl`

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  return a cloned (copy by value) object. This is a deep copy version, in which all the objects within this object will be copied by value.

  Returns:
    Object
  Throws:
    `java.lang.CloneNotSupportedException`

### init

    public void init()

  Resets the object's properties to their initial (e.g. null) state. All components are initialized to either zero or null.

  Specified by:
    `init` in interface `AssociatedEvent`
  Since:
    1.0

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD